| OpenCV 5.0.0alpha Open Source Computer Vision

Loading...
Searching...
No Matches
Classes | Functions
Image Blenders
Images stitching

## Detailed Description

## Classes
class | cv::detail::Blender
| Base class for all blenders. More...
class | cv::detail::FeatherBlender
| Simple blender which mixes images at its borders. More...
class | cv::detail::MultiBandBlender
| Blender which uses multi-band blending algorithm (see [45]). More...

## Functions
| cv::detail::FeatherBlender::FeatherBlender (float sharpness=0.02f)
void | cv::detail::createLaplacePyr (InputArray img, int num_levels, std::vector< UMat > &pyr)
void | cv::detail::createLaplacePyrGpu (InputArray img, int num_levels, std::vector< UMat > &pyr)
void | cv::detail::createWeightMap (InputArray mask, float sharpness, InputOutputArray weight)
void | cv::detail::normalizeUsingWeightMap (InputArray weight, InputOutputArray src)
void | cv::detail::restoreImageFromLaplacePyr (std::vector< UMat > &pyr)
void | cv::detail::restoreImageFromLaplacePyrGpu (std::vector< UMat > &pyr)

## Function Documentation

## ◆ FeatherBlender()

cv::detail::FeatherBlender::FeatherBlender | ( | float | sharpness = 0.02f | ) |
| inline

Python:
| cv.detail.FeatherBlender( | [, sharpness] | ) -> | <detail_FeatherBlender object>

`#include <opencv2/stitching/detail/blenders.hpp>`

Here is the call graph for this function:

## ◆ createLaplacePyr()

void cv::detail::createLaplacePyr | ( | InputArray | img,
|  | int | num_levels,
|  | std::vector< UMat > & | pyr )

Python:
| cv.detail.createLaplacePyr( | img, num_levels, pyr | ) -> | pyr

`#include <opencv2/stitching/detail/blenders.hpp>`

## ◆ createLaplacePyrGpu()

void cv::detail::createLaplacePyrGpu | ( | InputArray | img,
|  | int | num_levels,
|  | std::vector< UMat > & | pyr )

Python:
| cv.detail.createLaplacePyrGpu( | img, num_levels, pyr | ) -> | pyr

`#include <opencv2/stitching/detail/blenders.hpp>`

## ◆ createWeightMap()

void cv::detail::createWeightMap | ( | InputArray | mask,
|  | float | sharpness,
|  | InputOutputArray | weight )

Python:
| cv.detail.createWeightMap( | mask, sharpness, weight | ) -> | weight

`#include <opencv2/stitching/detail/blenders.hpp>`

## ◆ normalizeUsingWeightMap()

void cv::detail::normalizeUsingWeightMap | ( | InputArray | weight,
|  | InputOutputArray | src )

Python:
| cv.detail.normalizeUsingWeightMap( | weight, src | ) -> | src

`#include <opencv2/stitching/detail/blenders.hpp>`

## ◆ restoreImageFromLaplacePyr()

void cv::detail::restoreImageFromLaplacePyr | ( | std::vector< UMat > & | pyr | ) |

Python:
| cv.detail.restoreImageFromLaplacePyr( | pyr | ) -> | pyr

`#include <opencv2/stitching/detail/blenders.hpp>`

## ◆ restoreImageFromLaplacePyrGpu()

void cv::detail::restoreImageFromLaplacePyrGpu | ( | std::vector< UMat > & | pyr | ) |

Python:
| cv.detail.restoreImageFromLaplacePyrGpu( | pyr | ) -> | pyr

`#include <opencv2/stitching/detail/blenders.hpp>`